#
# spec file for package xdiskusage
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xdiskusage
Version:        1.60
Release:        1.8
Summary:        Graphically displays the amount of disk space used by each subdirectory
License:        GPL-2.0-only
Group:          System/X11/Utilities
URL:            http://xdiskusage.sourceforge.net/
Source:         http://xdiskusage.sourceforge.net/xdiskusage-%{version}.tgz
BuildRequires:  fltk-devel
BuildRequires:  gcc-c++
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXinerama-devel
BuildRequires:  mesa-libGL-devel
%endif

%description
xdiskusage is a user-friendly program to show you what is using
up all your disk space. It is based on the design of xdu
written by Phillip C. Dykstra. Changes have been made so it runs
"du" for you, and can display the free space left on the disk,
and produce a PostScript version of the display.

%prep
%setup -q

%build
export CXXFLAGS="%{optflags}"
export CFLAGS="%{optflags}"
%configure
%make_build CXXFLAGS="%{optflags}"

%install
install -D -c xdiskusage %{buildroot}/%{_bindir}/xdiskusage
install -D -c -m0644 xdiskusage.1 %{buildroot}/%{_mandir}/man1/xdiskusage.1

%files
%doc README
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue Jan 25 2022 Avinesh Kumar <avinesh.kumar@suse.com>
- Update to version 1.60
  * Fixed systems that don't have getdelim (ie non-Linux)
  * 'q' menu item to exit (Esc key also works)
  * Copy menu item sets X clipboard as well as X selection
  * Linux-only fix for files with newlines in their name
    (now fixed for non-Linux)
  * Browser selects directories
  * Improved disk browser that does not truncate disk names
  * Fixed the "-" switch that makes it pipe du information from stdin
  * Build uses fltk-config so it can be compiled on OSX
  * Added "-o file.ps" to directly print a postscript image without
    using the gui at all. $DISPLAY does not have to be set for this.
* Thu May  6 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 1.54
  * Prevent difficult-to-understand errors in the event of
    filenames with newlines.
  * Bugfixes
* Mon Aug 17 2020 Dirk Mueller <dmueller@suse.com>
- update to 1.52:
  * bugfixes
* Thu Dec 14 2017 crrodriguez@opensuse.org
- Only fltk-devel is needed for build since circa 2014
- install files manually, buildsystem wrongly strips binaries
  fixes debuginfo generation.
- force build scripts to honour CXXFLAGS
* Wed Feb 11 2015 john@redux.org.uk
- Updated to new upstream version, 1.51.
- Removed xdiskusage-fltk13.patch and xdiskusage-remove-glu.patch as
  they are no longer needed due to the use of 'fltk-config' in
  the Makefile.
* Tue Sep 25 2012 idonmez@suse.com
- Add xdiskusage-remove-glu.patch to remove unused GLU dependency
- Remove GLU dependency for !openSUSE distros
* Tue Jul 12 2011 pgajdos@novell.com
- built with fltk 1.3
* Mon Mar 22 2010 john@redux.org.uk
- Update to version 1.48.1:
  + Utilises the release from the fork hosted on Google Code.
